#!/usr/bin/python
# -*- coding: utf-8 -*-
import osgeo.ogr as ogr
import osgeo.osr as osr
import numpy as np
import gdal
import sys
import json
from collections import Counter
#-------------------------------------------------------------------------------
def L2ASCLtoDict(filename, wkt):
	''' 
	L2ASCLtoDict
	'''
	intput = gdal.Open(filename)
	rows, cols, geotransform = intput.RasterYSize, intput.RasterXSize, intput.GetGeoTransform()
	data = intput.GetRasterBand(1).ReadAsArray(0,0,cols,rows)
	count = Counter([])
	for r in data:
		count = count + Counter(r)
	sclDict = {str(k):v for k,v in dict(count).items()}
	return sclDict
#-------------------------------------------------------------------------------
def main(argv):
	if len(sys.argv) != 3:
		print("Usage: " + argv[0] + "<JSON SCL> <JSON Cfg>")
	else:
		jsonFile=open(argv[2]).read()
		cfg = json.loads(jsonFile)
		dataDict = L2ASCLtoDict(argv[1], cfg['wkt'])
		print(json.dumps(dataDict))
#-------------------------------------------------------------------------------
if __name__ == "__main__":
	main(sys.argv)
