#!/usr/bin/python
# -*- coding: utf-8 -*-
import osgeo.ogr as ogr
import osgeo.osr as osr
import numpy as np
import gdal
import sys, os

#-------------------------------------------------------------------------------
def imageMissingData(filename):

	inputImage = gdal.Open(filename)
	rows, cols, geotransform = inputImage.RasterYSize, inputImage.RasterXSize, inputImage.GetGeoTransform()
	data = inputImage.GetRasterBand(1).ReadAsArray(0,0,cols,rows)
	inputImage = None

	return (data>0).sum()/float((rows*cols))

#-------------------------------------------------------------------------------
def main(argv):
	if len(sys.argv) != 3:
		print("Usage: " + argv[0] + " <File> <%>")
	else:
		dataArea = imageMissingData(argv[1])
		if dataArea<float(argv[2])/100.0 :
			print ("Deleting " + argv[1] + " " + str(dataArea))
			os.system("rm " + argv[1])
		else:
			print ("Keeping " + argv[1] + " " + str(dataArea))


		
#-------------------------------------------------------------------------------
if __name__ == "__main__":
	main(sys.argv)
